wxTarClassFactory Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
List of all members
wxTarClassFactory Class Reference
Class List by Category » Archive support | Class List by Category » Streams

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/tarstrm.h>`

Inheritance diagram for wxTarClassFactory:
[legend]

## Detailed Description

Class factory for the tar archive format.

See the base class for details.

##

Library: wxBase
Category: Archive support, Streams

See also
  Archive Formats, Generic Archive Programming, wxTarEntry, wxTarInputStream, wxTarOutputStream

## Additional Inherited Members
Public Member Functions inherited from wxArchiveClassFactory
bool | CanHandle (const wxString &protocol, wxStreamProtocolType type=wxSTREAM_PROTOCOL) const
| Returns true if this factory can handle the given protocol, MIME type or file extension.
wxMBConv & | GetConv () const
| Returns the wxMBConv object that the created streams will use when translating meta-data.
void | SetConv (wxMBConv &conv)
| Sets the wxMBConv object that the created streams will use when translating meta-data.
virtual wxString | GetInternalName (const wxString &name, wxPathFormat format=wxPATH_NATIVE) const =0
| Calls the static GetInternalName() function for the archive entry type, for example wxZipEntry::GetInternalName.
wxString | GetProtocol () const
| Returns the wxFileSystem protocol supported by this factory.
virtual const wxChar ** | GetProtocols (wxStreamProtocolType type=wxSTREAM_PROTOCOL) const =0
| Returns the protocols, MIME types or file extensions supported by this factory, as an array of null terminated strings.
wxArchiveEntry * | NewEntry () const
| Create a new wxArchiveEntry object of the appropriate type.
void | PushFront ()
| Adds this class factory to the list returned by GetFirst() or GetNext().
void | Remove ()
| Removes this class factory from the list returned by GetFirst() and GetNext().
wxArchiveInputStream * | NewStream (wxInputStream &stream) const
| Create a new input or output stream to read or write an archive.
wxArchiveOutputStream * | NewStream (wxOutputStream &stream) const
| Create a new input or output stream to read or write an archive.
wxArchiveInputStream * | NewStream (wxInputStream *stream) const
| Create a new input or output stream to read or write an archive.
wxArchiveOutputStream * | NewStream (wxOutputStream *stream) const
| Create a new input or output stream to read or write an archive.
const wxArchiveClassFactory * | GetNext () const
| GetFirst and GetNext can be used to enumerate the available factories.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
Static Public Member Functions inherited from wxArchiveClassFactory
static const wxArchiveClassFactory * | Find (const wxString &protocol, wxStreamProtocolType type=wxSTREAM_PROTOCOL)
| A static member that finds a factory that can handle a given protocol, MIME type or file extension.
static const wxArchiveClassFactory * | GetFirst ()
| GetFirst and GetNext can be used to enumerate the available factories.
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.